%include	/usr/lib/rpm/macros.perl
Summary:	Essential command-line utilities for MySQL
Name:		percona-toolkit
Version:	2.2.11
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	http://www.percona.com/downloads/percona-toolkit/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9c0d359313ad3f45109f1d9f0160f851
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles
Source3:	pt-kill.init
Patch0:		no-versioncheck.patch
Patch1:		bug-1314696.patch
URL:		http://www.percona.com/software/percona-toolkit/
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	perl-DBD-mysql >= 1.0
Requires:	perl-DBI >= 1.13
Requires:	perl-Term-ReadKey >= 2.10
Requires:	rc-scripts
Provides:	group(percona-toolkit)
Provides:	user(percona-toolkit)
Obsoletes:	mysqldumpgrants
Obsoletes:	mysqltoolkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Percona Toolkit for MySQL is a collection of advanced command-line
tools used by Percona MySQL Support staff to perform a variety of
MySQL server and system tasks that are too difficult or complex to
perform manually, including:
- Verify master and replica data consistency
- Efficiently archive rows
- Find duplicate indexes
- Summarize MySQL servers
- Analyze queries from logs and tcpdump
- Collect vital system information when problems occur

Percona Toolkit for MySQL is derived from Maatkit and Aspersa, two of
the best-known MySQL management software utility toolkits for MySQL
server administration.

%prep
%setup -q
%patch0 -p1
%patch1 -p2

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -v

# change shebang to be actual interpreter for rpm to generate deps on the
# interpreters.
%{__sed} -i -e '1s,^#!.*env *perl,#!%{__perl},' bin/pt-*
%{__sed} -i -e '1s,^#!.*env bash,#!/bin/bash,' bin/pt-*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{systemdtmpfilesdir},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT/var/run/%{name}

%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/pt-kill

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/percona-version-check

ln -s pt-show-grants $RPM_BUILD_ROOT%{_bindir}/mysqldumpgrants
echo '.so man1/pt-show-grants.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/mysqldumpgrants.1

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{name}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 310 percona-toolkit
%useradd -u 310 -d /etc/percona-toolkit -g percona-toolkit -c "Percona Toolkit User" percona-toolkit


%postun
if [ "$1" = "0" ]; then
	%userremove percona-toolkit
	%groupremove percona-toolkit
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%ghost %{_sysconfdir}/%{name}/percona-version-check
%attr(754,root,root) /etc/rc.d/init.d/pt-kill
%attr(755,root,root) %{_bindir}/pt-*
%attr(755,root,root) %{_bindir}/mysqldumpgrants
%{systemdtmpfilesdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/pt-*.1*
%{_mandir}/man1/mysqldumpgrants.1
%dir %attr(770,root,percona-toolkit) /var/run/%{name}
%changelog
* Tue Sep 30 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/percona-toolkit.git;a=log;h=master

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 78adfdd
- up to 2.2.11

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> 6787356
- up to v2.2.10, released 2014-08-06

* Sun May 25 2014 Elan Ruusamäe <glen@delfi.ee> bfd200a
- add note how to see connect errors

* Mon May 05 2014 Elan Ruusamäe <glen@delfi.ee> c5b4f1c
- release 5 (by relup.sh)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 8d74ca5
- allow inheriting .my.cnf (do not force --host param)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 016f37e
- force RC_LOGGING=no

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 210a69e
- pass "empty" dsn to process .my.cnf for connect info

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 16ef5a7
- release 4 (by relup.sh)

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 349c5c3
- pt-kill: workaround for missing exit code check. LP#1314500

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 9a55bcd
- pt-kill: use percona-toolkit user and /var/run/percona-toolkit dir

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 980d8e4
- add /var/run/percona-toolkit dir for pt-kill state files

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 6ae3cab
- add user for running pt-kill and other tools

* Mon Apr 28 2014 Elan Ruusamäe <glen@delfi.ee> 8ed6099
- sorted

* Mon Apr 28 2014 Elan Ruusamäe <glen@delfi.ee> a207031
- add initscript for pt-kill services

* Mon Apr 07 2014 Elan Ruusamäe <glen@delfi.ee> 1d1339e
- disable version check in code

* Mon Apr 07 2014 Elan Ruusamäe <glen@delfi.ee> 038a283
- disable version check by default in global config

* Mon Apr 07 2014 Elan Ruusamäe <glen@delfi.ee> a088013
- add global percona-toolkit config

* Tue Feb 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 89c49b7
- up to 2.2.7

* Fri Dec 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e28afd
- up to 2.2.6

* Mon Oct 14 2013 Elan Ruusamäe <glen@delfi.ee> 5ffaf46
- do not obsolete maatkit, maatkit tools behave differently, and percona does not offer sometimes same functionality

